shmop_close
shmop_open
Shared Memory Functions
PHP Manual

# shmop_delete

(PHP 4 >= 4.0.4, PHP 5)

shmop_delete — Delete shared memory block

### Description

bool shmop_delete ( int `$shmid` )

shmop_delete() is used to delete a shared memory block.

### Parameters

`shmid`

  The shared memory block identifier created by shmop_open()

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Deleting shared memory block

`<?php
shmop_delete($shm_id);
?>`

This example will delete shared memory block identified by $shm_id.

shmop_close
shmop_open
Shared Memory Functions
PHP Manual